For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETGet secrets
            • POSTCreate secret
            • GETGet secret
            • PATCHUpdate secret
            • DELDelete secret
            • GETGet secret dependencies
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWorkspaceSecrets

Create secret

POST
/v1/convai/secrets
POST
/v1/convai/secrets
$curl -X POST https://api.elevenlabs.io/v1/convai/secrets \
> -H "Content-Type: application/json" \
> -d '{
> "type": "new",
> "name": "DatabasePassword",
> "value": "S3cureP@ssw0rd!"
>}'
1{
2 "type": "stored",
3 "secret_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
4 "name": "DatabasePassword"
5}
Create a new secret for the workspace
Was this page helpful?
Previous

Get secret

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
type"new"Required
namestringRequired
valuestringRequired

Response

Successful Response
type"stored"
secret_idstring
namestring

Errors

422
Unprocessable Entity Error